# Record Class CATypeRecordFieldIdentifier

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CATypeRecordFieldIdentifier

Record Components:
  `typeName` - The type name
  `fieldName` - The field name

All Implemented Interfaces:
  `Comparable<CATypeRecordFieldIdentifier>`

public record CATypeRecordFieldIdentifier(CATypeRecordIdentifier typeName, com.io7m.lanark.core.RDottedName fieldName) extends Record implements Comparable<CATypeRecordFieldIdentifier>
A fully qualified record field identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypeRecordFieldIdentifier(CATypeRecordIdentifier typeName, com.io7m.lanark.core.RDottedName fieldName)`
  A fully qualified record field identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(CATypeRecordFieldIdentifier other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.lanark.core.RDottedName`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static CATypeRecordFieldIdentifier`
  `of(String text)`
  Parse a type record field identifier.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `CATypeRecordIdentifier`
  `typeName()`
  Returns the value of the `typeName` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypeRecordFieldIdentifier

    public CATypeRecordFieldIdentifier(CATypeRecordIdentifier typeName, com.io7m.lanark.core.RDottedName fieldName)
    A fully qualified record field identifier.
    Parameters:
      `typeName` - The type name
      `fieldName` - The field name

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(CATypeRecordFieldIdentifier other)
    Specified by:
      `compareTo` in interface `Comparable<CATypeRecordFieldIdentifier>`

  - ### of

    public static CATypeRecordFieldIdentifier of(String text)
    Parse a type record field identifier.
    Parameters:
      `text` - The text
    Returns:
      An identifier

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### typeName

    public CATypeRecordIdentifier typeName()
    Returns the value of the `typeName` record component.
    Returns:
      the value of the `typeName` record component

  - ### fieldName

    public com.io7m.lanark.core.RDottedName fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component